Skip to main content

HTTP API reference › GalaSwap DEX › incentive

GalaSwap DEX — incentive

Source commit: unknown. Generated: 2026-10-26T22:08:07.607Z.

7 operations in this group.

GET /incentive/programs​

IncentiveController_getActivePrograms

GET /incentive/programs

GET /incentive/programs

Security: []

Responses​

200 —​

Content type: application/json

Schema: array<ActiveIncentiveProgramResponse>

FieldTypeRequiredDescription
items.idnumberyes
items.namestringyes
items.poolHashstringyes
items.bonusTokenstring nullableyes
items.bonusPoolAmountstring nullableyes
items.statusstring enum: PENDING, ACTIVE, COMPLETED, CANCELLEDyes
items.startTimestring (date-time)yes
items.endTimestring (date-time)yes
items.requiresFullRangebooleanyes
items.minPositionValueUsdnumber nullableyes
items.termsUrlstring nullableyes
items.totalTvlstringyes
items.participantCountnumberyes

default — An error response using the shared backend error envelope.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
statusintegeryes
errorbooleanyes
messagestringyes
errorKeystringno

Example response​

[]

GET /incentive/program/pool/{poolHash}​

IncentiveController_getProgramByPool

GET /incentive/program/pool/{poolHash}

GET /incentive/program/pool/{poolHash}

Security: []

Parameters​

NameInRequiredTypeDescription
poolHashpathyesstring

Responses​

200 —​

Content type: application/json

Schema: oneOf: ActiveIncentiveProgramResponse | object nullable enum:

FieldTypeRequiredDescription
idnumberyes
namestringyes
poolHashstringyes
bonusTokenstring nullableyes
bonusPoolAmountstring nullableyes
statusstring enum: PENDING, ACTIVE, COMPLETED, CANCELLEDyes
startTimestring (date-time)yes
endTimestring (date-time)yes
requiresFullRangebooleanyes
minPositionValueUsdnumber nullableyes
termsUrlstring nullableyes
totalTvlstringyes
participantCountnumberyes
*free-form objectnoAdditional properties allowed

default — An error response using the shared backend error envelope.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
statusintegeryes
errorbooleanyes
messagestringyes
errorKeystringno

Example response​

[]

GET /incentive/reward/{walletAddress}/{poolHash}​

IncentiveController_getUserReward

GET /incentive/reward/{walletAddress}/{poolHash}

GET /incentive/reward/{walletAddress}/{poolHash}

Security: []

Parameters​

NameInRequiredTypeDescription
walletAddresspathyesstring
poolHashpathyesstring
positionIdquerynostring
tickLowerquerynostring
tickUpperquerynostring

Responses​

200 —​

Content type: application/json

Schema: oneOf: IncentiveRewardResponse | object nullable enum:

FieldTypeRequiredDescription
programIdnumberyes
programNamestringyes
statusstring enum: ACTIVE, COMPLETED, DISQUALIFIED, CALCULATINGyes
bonusTokenSymbolstringyes
bonusTokenRewardstringyes
sharePercentagestringyes
isQualifiedbooleanyes
disqualificationReasonstringno
timeRemainingSecondsnumberyes
distributionTxHashstringno
programStartTimestring (date-time)yes
programEndTimestring (date-time)yes
*free-form objectnoAdditional properties allowed

400 —​

Content type: application/json

Schema: IncentiveErrorResponseDto

FieldTypeRequiredDescription
statusCodenumberyes
messageoneOf: string | array<string>yes
errorstringno

default — An error response using the shared backend error envelope.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
statusintegeryes
errorbooleanyes
messagestringyes
errorKeystringno

Example response​

[]

POST /incentive/reward/query​

IncentiveController_getUserRewardPost

POST /incentive/reward/query

POST /incentive/reward/query

Security: []

Responses​

200 —​

Content type: application/json

Schema: oneOf: IncentiveRewardResponse | object nullable enum:

FieldTypeRequiredDescription
programIdnumberyes
programNamestringyes
statusstring enum: ACTIVE, COMPLETED, DISQUALIFIED, CALCULATINGyes
bonusTokenSymbolstringyes
bonusTokenRewardstringyes
sharePercentagestringyes
isQualifiedbooleanyes
disqualificationReasonstringno
timeRemainingSecondsnumberyes
distributionTxHashstringno
programStartTimestring (date-time)yes
programEndTimestring (date-time)yes
*free-form objectnoAdditional properties allowed

400 —​

Content type: application/json

Schema: IncentiveErrorResponseDto

FieldTypeRequiredDescription
statusCodenumberyes
messageoneOf: string | array<string>yes
errorstringno

default — An error response using the shared backend error envelope.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
statusintegeryes
errorbooleanyes
messagestringyes
errorKeystringno

Example response​

[]

GET /incentive/wallet/{walletAddress}​

IncentiveController_getWalletPositions

GET /incentive/wallet/{walletAddress}

GET /incentive/wallet/{walletAddress}

Security: []

Parameters​

NameInRequiredTypeDescription
walletAddresspathyesstring

Responses​

200 —​

Content type: application/json

Schema: array<IncentiveRewardResponse>

FieldTypeRequiredDescription
items.programIdnumberyes
items.programNamestringyes
items.statusstring enum: ACTIVE, COMPLETED, DISQUALIFIED, CALCULATINGyes
items.bonusTokenSymbolstringyes
items.bonusTokenRewardstringyes
items.sharePercentagestringyes
items.isQualifiedbooleanyes
items.disqualificationReasonstringno
items.timeRemainingSecondsnumberyes
items.distributionTxHashstringno
items.programStartTimestring (date-time)yes
items.programEndTimestring (date-time)yes

400 —​

Content type: application/json

Schema: IncentiveErrorResponseDto

FieldTypeRequiredDescription
statusCodenumberyes
messageoneOf: string | array<string>yes
errorstringno

default — An error response using the shared backend error envelope.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
statusintegeryes
errorbooleanyes
messagestringyes
errorKeystringno

Example response​

[]

POST /incentive/enroll​

IncentiveController_enrollPosition

POST /incentive/enroll

POST /incentive/enroll

Security: []

Request body​

Required: yes

application/json​

Schema: EnrollPositionDto

FieldTypeRequiredDescription
programIdnumberyesIncentive program identifier.
walletAddressstringyesSynthetic or caller wallet reference that owns the position.
tickLowernumberyesLower tick bound of the enrolled position.
tickUppernumberyesUpper tick bound of the enrolled position.
termsAcceptedTxHashstringnoTransaction hash proving acceptance of program terms.

Responses​

200 —​

Content type: application/json

Schema: IncentiveProgramPositionResponseDto

FieldTypeRequiredDescription
idnumberyes
programIdnumberyes
walletAddressstringyes
ownerstring nullableyes
positionIdstringyes
tickLowernumber nullableyes
tickUppernumber nullableyes
initialLiquiditystringyes
initialValueUsdnumber nullableyes
isFullRangebooleanyes
isQualifiedbooleanyes
enrolledAtstring (date-time)yes
disqualifiedAtstring (date-time) nullableyes
disqualificationReasonstring nullableyes
termsAcceptedAtstring (date-time) nullableyes
termsAcceptedIpstring nullableyes
createdAtstring (date-time)yes
updatedAtstring (date-time)yes

400 —​

Content type: application/json

Schema: IncentiveErrorResponseDto

FieldTypeRequiredDescription
statusCodenumberyes
messageoneOf: string | array<string>yes
errorstringno

404 —​

Content type: application/json

Schema: IncentiveErrorResponseDto

FieldTypeRequiredDescription
statusCodenumberyes
messageoneOf: string | array<string>yes
errorstringno

default — An error response using the shared backend error envelope.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
statusintegeryes
errorbooleanyes
messagestringyes
errorKeystringno

Example request​

[]

Example response​

[]

GET /incentive/analytics/{programId}​

IncentiveController_getProgramAnalytics

GET /incentive/analytics/{programId}

GET /incentive/analytics/{programId}

Security: []

Parameters​

NameInRequiredTypeDescription
programIdpathyesnumber

Responses​

200 —​

Content type: application/json

Schema: array<IncentiveProgramAnalyticsResponseDto>

FieldTypeRequiredDescription
items.idnumberyes
items.programIdnumberyes
items.snapshotTimestring (date-time)yes
items.periodTypestring enum: REALTIME, HOURLY, DAILYyes
items.tvlUsdnumberyes
items.volume24hUsdnumberyes
items.fees24hUsdnumberyes
items.trailingApr24hnumber nullableyes
items.trailingApr7dnumber nullableyes
items.uniqueLpCountnumberyes
items.totalPositionsnumberyes
items.qualifiedPositionsnumberyes
items.totalFeesDistributednumberyes
items.createdAtstring (date-time)yes

default — An error response using the shared backend error envelope.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
statusintegeryes
errorbooleanyes
messagestringyes
errorKeystringno

Example response​

[]

Previous group: onramper · Next group: competition